Piloterr

Weibo Search

GET
/v2/weibo/search

Search public Weibo posts by keywords. Each post includes the author, text, publish time, engagement counts, image, and video link.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Keywords to search, such as AI.

A Weibo mobile search URL that already contains a containerid is also accepted and keeps that container.

Example:

AI
page?number

Page number, starting at 1. Default 1. Page 2 is the next slice of the same keywords.

Default"1"

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/weibo/search?query=string'
Example Response
{  "results": [    {      "id": "5359719204259182",      "url": "https://m.weibo.cn/detail/5359719204259182",      "text": "看看人家《潜伏》天津站的年会!无言以对!吴站长&梅姐《Trouble Maker》(现在的AI进化太快了!一日千里,真假难辨。)",      "source": "历史博主",      "user_id": 7660126398,      "image_url": "https://wx3.sinaimg.cn/orj480/008mp6NMgy1iikcckwn2xj31hc0u0tbt.jpg",      "user_name": "收集老照片",      "video_url": "https://video.weibo.com/show?fid=1034:5359718869172258",      "avatar_url": "https://tvax3.sinaimg.cn/crop.0.0.1080.1080.180/008mp6NMly8i65clv146uj30u00u0n04.jpg",      "created_at": "Fri Oct 30 14:01:40 +0800 2026",      "reposts_count": 1132,      "comments_count": 399,      "attitudes_count": 4491    }  ],  "pagination": {    "next": "https://m.weibo.cn/api/container/getIndex?containerid=100103type%3D1%26q%3DAI&page_type=searchall&page=2",    "page": 1,    "per_page": 1,    "total_pages": 100,    "total_results": 1000  }}